function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { PrimaryColumn, Entity, Index, JoinColumn, Column, ManyToOne } from "typeorm";
import { User } from "./user.js";
import { id } from "../id.js";
export let ModerationLog = class ModerationLog {
    id;
    createdAt;
    userId;
    user;
    type;
    info;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], ModerationLog.prototype, "id", void 0);
_ts_decorate([
    Column("timestamp with time zone", {
        comment: "The created date of the ModerationLog."
    }),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], ModerationLog.prototype, "createdAt", void 0);
_ts_decorate([
    Index(),
    Column(id()),
    _ts_metadata("design:type", Object)
], ModerationLog.prototype, "userId", void 0);
_ts_decorate([
    ManyToOne((type)=>User, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], ModerationLog.prototype, "user", void 0);
_ts_decorate([
    Column("varchar", {
        length: 128
    }),
    _ts_metadata("design:type", String)
], ModerationLog.prototype, "type", void 0);
_ts_decorate([
    Column("jsonb"),
    _ts_metadata("design:type", typeof Record === "undefined" ? Object : Record)
], ModerationLog.prototype, "info", void 0);
ModerationLog = _ts_decorate([
    Entity()
], ModerationLog);
